# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	A lock file lister
Name:		lslk
Version:	1.29
Release:	alt1_21
License:	GPL style
Group:		Monitoring
URL:		ftp://vic.cc.purdue.edu:/pub/tools/unix/lslk/
Source:		ftp://vic.cc.purdue.edu/pub/tools/unix/lslk/lslk_%{version}_W.tar.bz2
Source44: import.info

%description
Lslk is a lock file lister.  Lslk attempts to list all of the locks on
the executing system's local files (i.e., on the active inodes).

Install lslk if you need a utility for listing file locks.

%prep
%setup -q -c -n lslk
tar xf lslk_%{version}.tar
[ -d lslk_%{version} ] && cd lslk_%{version}

%build
[ -d lslk_%{version} ] && cd lslk_%{version}
./Configure -n linux

%make DEBUG="%{optflags} -fPIC" CFGF=-DLINUXV=228

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8

[ -d lslk_%{version} ] && cd lslk_%{version}
install lslk %{buildroot}%{_sbindir}
install lslk.8 %{buildroot}%{_mandir}/man8/

%files
# XXX should be mode 4755, but for now leave the setuid off
%attr(0755,root,kmem) %{_sbindir}/lslk
%{_mandir}/man8/lslk.8*


%changelog
* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.29-alt1_21
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.29-alt1_20
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.29-alt1_19
- new version

